import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/sysunit/` + url, ...arg)

/**
 * 单位Api接口管理器
 *
 * @author Luck
 * @date  2024/07/23 11:36
 **/
export default {
	// 获取单位分页
	sysUnitPage(data) {
		return request('page', data, 'get')
	},
	// 提交单位表单 edit为true时为编辑，默认为新增
	sysUnitSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除单位
	sysUnitDelete(data) {
		return request('delete', data)
	},
	// 获取单位详情
	sysUnitDetail(data) {
		return request('detail', data, 'get')
	}
}
